The Butcher animation ported to Baldur's Gate (EE/SOD/2EE)



Tthis contains the Butcher animation
from Heroes of the Storm, some of his sound files and a general
installer to put them into the game. There is no playable content in
this mod, it is just a modding resource. (A mod using the animation
is in the works though..)


Some notes on the animation:

- Current version uses a copy of the
“stand idle” animation for its “combat ready” animation. 
The reaon for this is that oddly enough
the attack animations line up a lot better with the “stand idle”
animation. (The combat ready animation is fully functional though so
if there is any need/interest I can upload that as well.)

- He does not attack with his cleaver. 
His attack animations are huge anyway,
with his cleaver animations more than doubling the animation's size.
In addition to that, the 3d nature of the animation, shape of the
cleaver and view angle made the cleaver “change size”
dramatically whenever he was moved into the “camera” (south
facing attacks). At times the cleaver appeared bigger than the
Butcher himself. So for now he just hacks and slashes with his hook.



That's it. I mostly just wanted to see
how easy/hard it is to port an animation from a 3d model and also, I
just really like the Butcher.



Credits:

Original Art - Blizzard Entertainment

Porting to Source Filmmaker/HLMV -
Yaron (https://sfmlab.com/profile/3762/)

Porting to BGEE/SOD/2EE - Ulb 


Argent77 for the automated animation
slot code I stole from him. :)




Programs used:

Audacity
Gimp
HLMV (Source Filmmaker version)
NearInfinity
SimpleScreenshot

